Box2D
Prev | 8.17. Bounding Box Functions | Next

## Name

Box2D — Returns a BOX2D representing the 2D extent of a geometry.

## Synopsis

`box2d Box2D(`geometry geom`)`;

## Description

Returns a box2d representing the 2D extent of the geometry.

Enhanced: 2.0.0 support for Polyhedral surfaces, Triangles and TIN was introduced.

This method supports Circular Strings and Curves

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

## Examples

    SELECT Box2D(ST_GeomFromText('LINESTRING(1 2, 3 4, 5 6)'));

    box2d
    ---------
    BOX(1 2,5 6)

    SELECT Box2D(ST_GeomFromText('CIRCULARSTRING(220268 150415,220227 150505,220227 150406)'));

    box2d
    --------
    BOX(220186.984375 150406,220288.25 150506.140625)

## See Also

Box3D, ST_GeomFromText

Prev | Up | Next
ST_ClusterWithin | Home | Box3D